Package org.eclipse.ecf.provider.comm

# Interface IAsynchEventHandler

All Superinterfaces:
  `IConnectionListener`

All Known Subinterfaces:
  `ISynchAsynchEventHandler`

public interface IAsynchEventHandler extends IConnectionListener
Callback interface for handling asynchronous connection events

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAsynchEvent(AsynchEvent event)`
Handle asynchronous connection event

### Methods inherited from interface org.eclipse.ecf.provider.comm.IConnectionListener

`getEventHandlerID, handleConnectEvent, handleDisconnectEvent`

## Method Details

### handleAsynchEvent

void handleAsynchEvent(AsynchEvent event) throws IOException
Handle asynchronous connection event

Parameters:
  `event` - the asynchronous connection event to handle
Throws:
  `IOException` - if connection event cannot be handled